.Script
.Version "7.3"
 
.input po4000h, 17, 78
.placement 2, 1
.title ' Order Header ', highlight
.line Line1, 15, pos(1,37), vertical
.line Line2, 43, pos(8,37), horizontal
.line Line3, 78, pos(15,1), horizontal
.paint _
 
.field phorno, d6, pos(1,1), prompt("Order no"), fpos(1,15), -
 help(POORDRNO), change_method("ANYFLD_CHANGE"), required, format("ZZZZZX")
 
.field phvend, d8, pos(2,1), prompt("Vendor"), fpos(2,8), -
 help(POINQVENDOR), user('#Drill/Req/V#'), drill_method("NAMAST_FIND"), -
 change_method("NAMAST_CHANGE"), hyperlink_method("NAMAST_HYPER")
 
.field phmail, d8, pos(2,19), prompt("MailTo"), fpos(2,26), -
 help(POMAILID), user('#Drill/Opt/M#'), drill_method("NAMAST_FIND"), -
 change_method("NAMAST_CHANGE"), hyperlink_method("NAMAST_HYPER")
 
.field phvend_descr, a30, fpos(3,2)
.field phvend_addr1, a30, fpos(4,2)
.field phvend_addr2, a30, fpos(5,2)
.field phvend_city, a20, fpos(6,2)
.field phvend_state, a2, fpos(6,23)
.field phvend_zip, a10, fpos(6,26)
 
.field phcfrm, a20, pos(7,1), prompt("Confirm with"), fpos(7,15), -
 help(POCONFRM)
 
.field phship, d8, pos(8,1), prompt("ShipTo"), fpos(8,8), -
 help(POSHIPTONO), user('#Drill/Opt#'), drill_method("NAMAST_FIND"), -
 change_method("NAMAST_CHANGE"), hyperlink_method("NAMAST_HYPER"), negative
 
.field phshto, a30, fpos(9,2), help(POSHPNAM)
.field phsha1, a30, fpos(10,2), help(POSHPAD1)
.field phsha2, a30, fpos(11,2), help(POSHPAD2)
.field phshct, a20, fpos(12,2), help(POSHPCTY)
.field phshst, a2, fpos(12,23), help(POSHPSTE), uc
.field phshzp, a10, fpos(12,26), help(POSHPZIP)
 
.field phphon, a14, pos(13,1), prompt("Telephone"), fpos(13,15), -
 help(POCUSTPHONE), copy, format("(@@@)@@@-@@@@/@@@@")
 
.field phfax, a10, pos(14,1), prompt("Fax"), fpos(14,15), -
 help(POMLFAX), copy, format("(@@@)@@@-@@@@")
 
.field photyp, a1, pos(1,38), prompt("Order type"), fpos(1,52), -
 help(POORDTYP), change_method("ANYFLD_CHANGE"), -
 select(1,3,,"Order","Hold")
 
.field phdate, d8, pos(2,38), prompt("Order date"), fpos(2,52), -
 help(POORDATE), date(today)
 
.field phrqdt, d8, pos(3,38), prompt("Required by"), fpos(3,52), -
 help(POORDRQD), date(today)
 
.field phcust, d8, pos(4,38), prompt("Customer ID"), fpos(4,52), -
 help(POCUSTNO), user('#Drill/Opt/C#'), -
 drill_method("NAMAST_FIND"), change_method("NAMAST_CHANGE")
 
.field phcorn, d6, pos(5,38), prompt("Cust order"), fpos(5,52), -
 help(POCUSTORDER), format("ZZZZZZ")
 
.field phstus, a1, pos(6,38), prompt("Order status"), fpos(6,52), -
 help(POORDSTATUS), select(1,3,,"Open","Partial","Closed")
 
.field phlocn, a3, pos(9,38), prompt("Location"), fpos(9,48), -
 help(POORDLOC), copy, user('#Drill/Req/L#'), drill_method("SMCODE_FIND"), -
 change_method("SMCODE_CHANGE"), hyperlink_method("SMCODE_HYPER")
.field phlocn_descr, a25, fpos(9,54), paint(" ")
 
.field phterm, a3, pos(10,38), prompt("Terms"), fpos(10,48), -
 help(POORDTRM), copy, user('#Drill/Req/Y#'), drill_method("SMCODE_FIND"), -
 change_method("SMCODE_CHANGE"), hyperlink_method("SMCODE_HYPER")
.field phterm_descr, a25, fpos(10,54), paint(" ")
 
.field phbuyr, a3, pos(11,38), prompt("Buyer"), fpos(11,48), -
 help(POORDBUY), copy, user('#Drill/Req/B#'), drill_method("SMCODE_FIND"), -
 change_method("SMCODE_CHANGE"), hyperlink_method("SMCODE_HYPER")
.field phbuyr_descr, a25, fpos(11,54), paint(" ")
 
.field phsvia, a3, pos(12,38), prompt("Ship via"), fpos(12,48), -
 help(POORDVIA), copy, user('#Drill/Req/V#'), drill_method("SMCODE_FIND"), -
 change_method("SMCODE_CHANGE"), hyperlink_method("SMCODE_HYPER")
.field phsvia_descr, a25, fpos(12,54), paint(" ")
 
.field phfobc, a1, pos(13,38), prompt("FOB"), fpos(13,48), -
 help(POORFOBC), copy, select(1,3,,"Orig","Dest")
 
.field phclpd, a1, pos(14,38), prompt("Col/PPD"), fpos(14,48), -
 help(POORDCOLPPD), copy, select(1,3,,"Prepaid","Collect")
 
.field phcmt1, 2a40, pos(16,1), prompt("Comments"), fpos(16,10), -
 help(POORDCMT)
 
.structure rec1, <2>,phorno,photyp,phvend,phmail,phvend_descr,phvend_addr1,-
	phvend_addr2,phvend_city,phvend_state,phvend_zip,-
	phphon,phfax,phdate,phrqdt,phsvia,phbuyr,phterm,-
	phcfrm,phfobc,phclpd,phlocn,phstus,phcmt1,phcust,phcorn,-
	phship,phshto,phsha1,phsha2,phshct,phshst,phshzp
.set set_add, rec1, phorno,phvend,phmail,phcfrm,phship,phshto,phsha1,-
	phsha2,phshct,phshst,phshzp,phphon,phfax,photyp,phdate,phrqdt,phcust,-
	phcorn,phstus,phlocn,phterm,phbuyr,phsvia,phfobc,phclpd,phcmt1
.set set_chg, rec1, phvend,phmail,phcfrm,phship,phshto,phsha1,phsha2,-
	phshct,phshst,phshzp,phphon,phfax,photyp,phdate,phrqdt,phcust,-
	phcorn,phstus,phlocn,phterm,phbuyr,phsvia,phfobc,phclpd,phcmt1
.set set_show, rec1, phorno,phvend,phmail,phship,phshto,phsha1,phsha2,phshct,-
	phshst,phshzp,phphon,phfax,phcfrm,photyp,phdate,phrqdt,phcust,-
	phcorn,phstus,phlocn,phterm,phbuyr,phsvia,phfobc,phclpd,phcmt1
.set set_shto, rec1, phship,phshto,phsha1,phsha2,phshct,phshst,phshzp
.button detl, text("Entries")
.button prnt, text("Print")
.button_set bottom, end
.end
